Package htsjdk.samtools.util

# Interface ProgressLoggerInterface

All Known Implementing Classes:
  `AbstractProgressLogger`, `ProgressLogger`

public interface ProgressLoggerInterface
An interface defining the record() methods of the Picard-public ProgressLogger implementation.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`record(SAMRecord rec)`
`boolean`
`record(SAMRecord... recs)`
`boolean`
`record(String chrom, int pos)`
`default void`
`reset()`

## Method Details

### record

boolean record(String chrom, int pos)

### record

boolean record(SAMRecord rec)

### record

boolean record(SAMRecord... recs)

### reset

default void reset()